#
# Conditional build:
%bcond_without	apidocs		# API documentation
%bcond_without	static_libs	# static libraries
#
Summary:	Simple SSH tunnel library
Summary(pl.UTF-8):	Prosta biblioteka tunelowania SSH
Name:		libsshtunnel
Version:	0.2.0
Release:	1
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/bk138/libsshtunnel/releases
Source0:	https://github.com/bk138/libsshtunnel/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	487db8260166868f7de42169fd3a6c19
Patch0:		%{name}-libdir.patch
URL:		https://github.com/bk138/libsshtunnel/
BuildRequires:	cmake >= 3.10
BuildRequires:	libssh2-devel
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
libsshtunnel is a simple SSH tunnel library to let your networking app
connect to a host running behind a SSH server.

%description -l pl.UTF-8
libsshtunnel to prosta biblioteka tunelowania SSH, pozwalająca
aplikacji sieciowej łączyć się z hostem działającym za serwerem SSH.

%package devel
Summary:	Header file for libsshtunnel library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki libsshtunnel
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for libsshtunnel library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki libsshtunnel.

%prep
%setup -q
%patch -P0 -p1

%build
install -d build
cd build
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING README.md
%attr(755,root,root) %{_libdir}/libsshtunnel.so

%files devel
%defattr(644,root,root,755)
%{_includedir}/libsshtunnel.h
%changelog
* Sat Mar 22 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsshtunnel.git;a=log;h=master

* Fri Mar 21 2025 Jakub Bogusz <qboosh@pld-linux.org> 6818fe8
- new

